uk.gov.hmrc.payeestimator.services

# LiveTaxCalculatorService

###
Related Doc: package services

#### object LiveTaxCalculatorService extends TaxCalculatorService

Annotations
  @JSExport()

Linear Supertypes
TaxCalculatorService, TaxCalculatorHelper, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LiveTaxCalculatorService
2. TaxCalculatorService
3. TaxCalculatorHelper
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def annualiseGrossPay(grossPayPence: Long, hours: Option[Int], payPeriod: String): Money

   Definition Classes
     TaxCalculatorService

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def buildTaxCalc(isStatePensionAge: String, taxCalcResource: TaxCalcResource, taxCode: String, grossPayPence: Int, payPeriod: String, hoursIn: Int): TaxCalc

   Definition Classes
     TaxCalculatorService

7. #### def calculateAverageAnnualTaxRate(annualTaxBreakdown: Option[TaxBreakdown]): Money

   Definition Classes
     TaxCalculatorService

8. #### def calculateScottishElement(payeTaxAmount: Money, taxCode: String, taxCalcResource: TaxCalcResource): Option[BigDecimal]

   Definition Classes
     TaxCalculatorService

9. #### def calculateTax(isStatePensionAge: String, date: String, taxCode: String, grossPayPence: Int, payPeriod: String, hoursIn: Int): String

   Definition Classes
     TaxCalculatorService
   Annotations
     @JSExport()

10. #### def calculateTax(isStatePensionAge: String, date: LocalDate, taxCode: String, grossPayPence: Int, payPeriod: String, hoursIn: Int): String

    Definition Classes
      TaxCalculatorService
    Annotations
      @JSExport()

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### def convertToBoolean(isStatePensionAge: String): Boolean

    Definition Classes
      TaxCalculatorService

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### def isAdjustedTaxCode(taxCode: String): Boolean

    Definition Classes
      TaxCalculatorHelper

19. #### def isBasicRateTaxCode(taxCode: String, isScottish: Boolean = false): Boolean

    Definition Classes
      TaxCalculatorHelper

20. #### def isEmergencyTaxCode(taxCode: String, taxCalcResource: TaxCalcResource): Boolean

    Definition Classes
      TaxCalculatorHelper

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### def isStandardTaxCode(taxCode: String): Boolean

    Definition Classes
      TaxCalculatorHelper

23. #### def isTaxableCode(taxCode: String, isScottish: Boolean = false): Boolean

    Definition Classes
      TaxCalculatorHelper

24. #### def isUnTaxedIncomeTaxCode(taxCode: String): Boolean

    Definition Classes
      TaxCalculatorHelper

25. #### def isValidScottishTaxCode(taxCode: String): Boolean

    Definition Classes
      TaxCalculatorHelper

26. #### def isValidTaxCode(taxCode: String, taxCalcResource: TaxCalcResource): Boolean

    Definition Classes
      TaxCalculatorHelper

27. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

28. #### val nicTaxCalculatorService: NICTaxCalculatorService

    Definition Classes
      LiveTaxCalculatorService → TaxCalculatorService

29. #### final def notify(): Unit

    Definition Classes
      AnyRef

30. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

31. #### def parseDate(date: String): LocalDate

    Definition Classes
      TaxCalculatorService
    Annotations
      @JSExport()

32. #### val payeTaxCalculatorService: PAYETaxCalculatorService

    Definition Classes
      LiveTaxCalculatorService → TaxCalculatorService

33. #### def rateLimit(limitType: String): PartialFunction[RateLimit, Money]

    Definition Classes
      TaxCalculatorHelper

34. #### def removeCountryElementFromTaxCode(taxCode: String): String

    Definition Classes
      TaxCalculatorHelper

35. #### def splitTaxCode(taxCode: String): String

    Definition Classes
      TaxCalculatorHelper

36. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

37. #### def toString(): String

    Definition Classes
      AnyRef → Any

38. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from TaxCalculatorService

### Inherited from TaxCalculatorHelper

### Inherited from AnyRef

### Inherited from Any

### Ungrouped